package common.init;

public enum OreType {
	DIAMOND("diamond", "Diamant", new ToolMaterial(3, 12.0f, 2.0f, 1561, 8.0F, 3, 10, true, 33, 10, 3, 8, 6, 3), "diamond", 3, 1, 0),
	THETIUM("thetium", "Thetium", "Thi-Fragment", new ToolMaterial(4, 20.0f, 4.0f, 3451, 11.0F, 7, 12, false, 59, 12, 4, 9, 7, 4), "thi_fragment", 5, 1, 0),
	ARDITE("ardite", "Ardit", "Ahrd-Fragment", new ToolMaterial(5, 30.0f, 12.0f, 7320, 11, 12, 86, 12, 6, 12, 9, 5), "ahrd_fragment", 7, 1, 0),
	GYRIYN("gyriyn", "Gyriyn", "Ghi-Fragment", new ToolMaterial(5, 7320, 15.0F, 11, 12, false), "ghi_fragment", 7, 1, 0),
	NICHUN("nichun", "Nichun", "Nieh-Fragment", new ToolMaterial(6, 50.0f, 40.0f, 21300, 20.0F, 18, 15, false, 172, 15, 12, 23, 14, 11), "nieh_fragment", 10, 1, 0),
	RUBY("ruby", "Rubin", new ToolMaterial(3), "ruby", 3, 1, 0),
	CINNABAR("cinnabar", "Zinnober", new ToolMaterial(2), "cinnabar", 2, 1, 1);
	
	public final ToolMaterial material;
	public final String name;
	public final String display;
	public final String itemDisplay;
	public final String item;
	public final int experience;
	public final int dropQuantity;
	public final int bonusChance;
	
	private OreType(String name, String display, ToolMaterial material, String gem, int xpDrop, int dropped, int bonus) {
		this(name, display, display, material, gem, xpDrop, dropped, bonus);
	}
	
	private OreType(String name, String display, String itemDisplay, ToolMaterial material, String gem, int xpDrop, int dropped, int bonus) {
		this.material = material;
		this.name = name;
		this.display = display;
		this.itemDisplay = itemDisplay;
		this.item = gem;
		this.experience = xpDrop;
		this.dropQuantity = dropped;
		this.bonusChance = bonus;
	}
}
